package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

/**
 * 处理结果
 */
public class FileData {
    /**
     * 字段列表
     */
    private List<KeyValue> fields;
    /**
     * 手写体信息
     */
    private List<HandWritingValue> handwritings;
    /**
     * 发票验真结果
     */
    private FluffyInvoiceVerifyResult invoiceVerifyResult;
    /**
     * 表格数据列表
     */
    private List<List<KeyValue>> items;
    /**
     * 印章信息
     */
    private List<StampValue> stamps;
    /**
     * 全部表格数据列表（含系统表格和手动配置表格）
     */
    private List<FluffyTable> tables;

    public List<KeyValue> getFields() {
        return fields;
    }

    public void setFields(List<KeyValue> value) {
        this.fields = value;
    }

    public List<HandWritingValue> getHandwritings() {
        return handwritings;
    }

    public void setHandwritings(List<HandWritingValue> value) {
        this.handwritings = value;
    }

    public FluffyInvoiceVerifyResult getInvoiceVerifyResult() {
        return invoiceVerifyResult;
    }

    public void setInvoiceVerifyResult(FluffyInvoiceVerifyResult value) {
        this.invoiceVerifyResult = value;
    }

    public List<List<KeyValue>> getItems() {
        return items;
    }

    public void setItems(List<List<KeyValue>> value) {
        this.items = value;
    }

    public List<StampValue> getStamps() {
        return stamps;
    }

    public void setStamps(List<StampValue> value) {
        this.stamps = value;
    }

    public List<FluffyTable> getTables() {
        return tables;
    }

    public void setTables(List<FluffyTable> value) {
        this.tables = value;
    }
}
